Subject: [AVT] doubt about mechanism in RFC 3830

From: "Hector Agustin Cozzetti" <[email-masked]>
Date: Wed, 19 Dec 2007 09:45:46 +0100

Hello,
I have a doubt about RFC 3830.
In RFC 4567, using the mechanism described on RTSP where the Initiator
should be the server. Is it right?.
Instead in RFC 3830 it seems to be that the Initiator must be the client.
I was not able to understand exactly the roles in a client/server context,
which I have to use the DH mode for the master keys exchange. Furthermore,
How can understand the use of the mechanism described above in the client
request message DESCRIBE?
Thank you for your help,

Hector Agustin Cozzetti
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: "Dan Wing" <[email-masked]>
Date: Thu, 20 Dec 2007 13:49:33 -0800

> -----Original Message-----
> From: Hector Agustin Cozzetti [mailto:[email-masked]] 
> Sent: Wednesday, December 19, 2007 12:46 AM
> To: [email-masked]
> Subject: [AVT] doubt about mechanism in RFC 3830
> 
> Hello,
> In RFC 4567, using the mechanism described on RTSP where the 
> Initiator should be the server.

The key management initiator is the offerer.  The offerer
is not necessarily the RTSP server or the RTSP client.  From
RFC4567:

   The content of the key management messages depends on the key
   management protocol that is used.  However, the content of such key
   management messages might be expected to be roughly as follows: the
   key management Initiator (e.g., the offerer) includes the key
   management data in a first message, containing the media description
   it should apply to.  This data in general consists of the security
   parameters (including key material) needed to secure the
   communication, together with the necessary authentication information
   (to ensure that the message is authentic).

The roles of offerer and answerer are probably best described
in RFC3264.

> Is it right?. 

The initiator has to be the Offerer, which might be the
RTSP client or might be the RTSP server.

RFC4567 and RFC3264 were both a product of the MMUSIC working 
group, and RFC3830 was a product of the MSEC working group.  
You might try rewording your question and asking those working
groups rather than asking AVT.

-d

> I was not able to understand exactly the roles in 
> a client/server context, which I have to use the DH mode for 
> the master keys exchange. Furthermore, How can understand the 
> use of the mechanism described above in the client request 
> message DESCRIBE?
> Thank you for your help,
>  
> Hector Agustin Cozzetti 
> 
>

---

From: Mats Näslund <[email-masked]>
Date: Thu, 20 Dec 2007 23:00:06 +0100

Hi Hector,
 
There is a difference between who is the initiator of the _communication_ as such (the client in the RTSP example in rfc4567), 
and who initiates the _MIKEY_  protocol. 
 
When MIKEY is embedded in another protocol, e.g. RTSP, rfc3830 does not prescribe which of the peers initiates the embedded 
MIKEY execution.
 
Rgds
 
/MIKEY team via Mats

________________________________

	From: Hector Agustin Cozzetti [mailto:[email-masked]] 
	Sent: den 19 december 2007 09:46
	To: [email-masked]
	Subject: [AVT] doubt about mechanism in RFC 3830

	Hello,
	I have a doubt about RFC 3830. 
	In RFC 4567, using the mechanism described on RTSP where the Initiator should be the server. Is it right?. 
	Instead in RFC 3830 it seems to be that the Initiator must be the client. I was not able to understand exactly the roles in a client/server context, which I have to use the DH mode for the master keys exchange. Furthermore, How can understand the use of the mechanism described above in the client request message DESCRIBE?
	Thank you for your help,
	 
	Hector Agustin Cozzetti